#ifndef __PLX_SPEC_H
#define __PLX_SPEC_H

static inline void plx_vert_ifds(plx_dr_state_t * state, int flags, float x, float y, float z,
	uint32 color, float u, float v, uint32 offset)
{
	plx_vertex_t * vert = plx_dr_target(state);
	
	vert->flags = flags;
	vert->x = x;
	vert->y = y;
	vert->z = z;
	vert->u = u;
	vert->v = v;
	vert->argb = color;
	vert->oargb = offset;

	plx_dr_commit(vert);
}

static inline void plx_vert_ifdm3s(plx_dr_state_t * state, int flags, float x, float y, float z,
	uint32 color, float u, float v, uint32 offset)
{
       plx_mat_tfip_3d(x, y, z);
       if (z <= 0.0f) z = 0.001f;
       plx_vert_ifds(state, flags, x, y, z, color, u, v, offset);
}

#endif
